You are viewing a plain text version of this content. The canonical link for it is here.
Posted to notifications@accumulo.apache.org by "ctubbsii (via GitHub)" <gi...@apache.org> on 2023/04/28 14:18:03 UTC

[GitHub] [accumulo] ctubbsii commented on a diff in pull request #3362: Add CI check to detect Thrift changes

ctubbsii commented on code in PR #3362:
URL: https://github.com/apache/accumulo/pull/3362#discussion_r1180472342


##########
contrib/ci/install-thrift.sh:
##########
@@ -0,0 +1,31 @@
+#! /usr/bin/env bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   https://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+# Download the correct version of Thrift to do CI checks
+
+set -e
+
+thriftdefault="0.16.0"
+rootDir=$(git rev-parse --show-toplevel 2>/dev/null) || ver=$thriftdefault
+ver=$({ xmllint --shell "$rootDir/pom.xml" <<<'xpath /*[local-name()="project"]/*[local-name()="properties"]/*[local-name()="thrift.version"]/text()' | grep content= | cut -f2 -d=; } 2>/dev/null || echo "$thriftdefault")
+ver=${ver%%-*}
+
+sudo wget "https://dist.apache.org/repos/dist/dev/accumulo/devtools/thrift-$ver/thrift" -O /usr/local/bin/thrift &&

Review Comment:
   I just created it and uploaded a thrift binary that I made myself. We have a dist area for releases, and one for development. Lots of projects use the one for development for staging release candidates. We have a different process for that, so we've never used this area for anything. I found a good use for it for this.



-- 
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

To unsubscribe, e-mail: notifications-unsubscribe@accumulo.apache.org

For queries about this service, please contact Infrastructure at:
users@infra.apache.org